curl --request GET \
--url https://flow.seekr.com/v1/flow/alignment/{alignment_job_id} \
--header 'Authorization: <api-key>'import requests
url = "https://flow.seekr.com/v1/flow/alignment/{alignment_job_id}"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://flow.seekr.com/v1/flow/alignment/{alignment_job_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://flow.seekr.com/v1/flow/alignment/{alignment_job_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://flow.seekr.com/v1/flow/alignment/{alignment_job_id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://flow.seekr.com/v1/flow/alignment/{alignment_job_id}")
.header("Authorization", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://flow.seekr.com/v1/flow/alignment/{alignment_job_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"status": "pending",
"updated_at": "2023-11-07T05:31:56Z",
"completed_at": "2023-11-07T05:31:56Z",
"stopped_at": "2023-11-07T05:31:56Z",
"current_step": "<string>",
"step_progress": 123,
"progress": 123,
"estimated_completion_at": "2023-11-07T05:31:56Z",
"eta_minutes": 123,
"status_message": "<string>",
"output_files": [
{
"id": "<string>",
"filename": "<string>",
"bytes": 123,
"created_at": "2023-11-07T05:31:56Z",
"file_type": "jsonl",
"purpose": "reinforcement-fine-tune"
}
]
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Get alignment job
Retrieve the status and details of a specific alignment job.
curl --request GET \
--url https://flow.seekr.com/v1/flow/alignment/{alignment_job_id} \
--header 'Authorization: <api-key>'import requests
url = "https://flow.seekr.com/v1/flow/alignment/{alignment_job_id}"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://flow.seekr.com/v1/flow/alignment/{alignment_job_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://flow.seekr.com/v1/flow/alignment/{alignment_job_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://flow.seekr.com/v1/flow/alignment/{alignment_job_id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://flow.seekr.com/v1/flow/alignment/{alignment_job_id}")
.header("Authorization", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://flow.seekr.com/v1/flow/alignment/{alignment_job_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"status": "pending",
"updated_at": "2023-11-07T05:31:56Z",
"completed_at": "2023-11-07T05:31:56Z",
"stopped_at": "2023-11-07T05:31:56Z",
"current_step": "<string>",
"step_progress": 123,
"progress": 123,
"estimated_completion_at": "2023-11-07T05:31:56Z",
"eta_minutes": 123,
"status_message": "<string>",
"output_files": [
{
"id": "<string>",
"filename": "<string>",
"bytes": 123,
"created_at": "2023-11-07T05:31:56Z",
"file_type": "jsonl",
"purpose": "reinforcement-fine-tune"
}
]
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Authorizations
Your Seekr API key, sent in the Authorization header with no 'Bearer' prefix.
Path Parameters
ID of the alignment job.
Response
Success
ID of the alignment job.
Time the alignment job was created, in ISO 8601 format.
pending, queued, running, cancelled, failed, completed, stopped Time the alignment job was last updated, in ISO 8601 format.
Time the alignment job completed, in ISO 8601 format.
Time the alignment job stopped, in ISO 8601 format.
The processing step the job is currently working on. null until the job starts running.
Progress through the current step. null when no step is in progress.
Overall completion of the job across all steps. null until progress can be calculated.
Projected completion timestamp (UTC). null until enough progress data is available to produce an estimate.
Estimated number of minutes remaining until the job completes. null until an estimate is available.
Human-readable description of the job's current state, suitable for display to end users.
Files the alignment job produced.
Show child attributes
Show child attributes